apiVersion: nmstate.io/v1
kind: NodeNetworkConfigurationPolicy
metadata:
  name: ipsec-config
spec:
  nodeSelector:
    kubernetes.io/hostname: "00-50-56-86-5b-11" 
  desiredState:
    interfaces:
    - name: ipsec1
      type: ipsec
      libreswan:
        left: '%br-ex'
        leftcert: testsno.example.com
        leftid: '%fromcert'
        leftrsasigkey: '%cert'
        leftsubnet: 0.0.0.0/0
        leftmodecfgclient: true
        right: vpn.example.com
        rightsubnet: 172.16.0.0/16
        rightid: '@vpn.example.com'
        rightrsasigkey: '%cert'
        ikev2: insist
        type: tunnel
      ipv4:
        enabled: true
        dhcp: true